#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 mod
version:              0.2.0.0
visibility:           public
id:                   mod-0.2.0.0-604K25i9FWp3rMYO38F4o4
key:                  mod-0.2.0.0-604K25i9FWp3rMYO38F4o4
license:              MIT
copyright:            2017-2022 Andrew Lelechenko
maintainer:           Andrew Lelechenko <andrew.lelechenko@gmail.com>
author:               Andrew Lelechenko <andrew.lelechenko@gmail.com>
homepage:             https://github.com/Bodigrim/mod
synopsis:             Fast type-safe modular arithmetic
description:
    <https://en.wikipedia.org/wiki/Modular_arithmetic Modular arithmetic>,
    promoting moduli to the type level, with an emphasis on performance.
    Originally part of the <https://hackage.haskell.org/package/arithmoi arithmoi> package.

category:             Math, Number Theory
abi:                  986d202079325316b65ada7206df745a
exposed:              True
exposed-modules:      Data.Mod Data.Mod.Word
hidden-modules:       Data.Mod.Compat
import-dirs:          /usr/lib/ghc-9.0.2/site-local/mod-0.2.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/mod-0.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-mod
hs-libraries:         HSmod-0.2.0.0-604K25i9FWp3rMYO38F4o4
depends:
    base-4.15.1.0 deepseq-1.4.5.0 ghc-bignum-1.1
    primitive-0.7.4.0-4igQPjVFZ0u45ZZpSLQSLc
    semirings-0.6-DhlNPrn4n482bTtm05o6a8
    vector-0.13.0.0-CBdHfq8cDb33l37FQ8xap7

haddock-interfaces:   /usr/share/doc/haskell-mod/html/mod.haddock
haddock-html:         /usr/share/doc/haskell-mod/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

